Bug 221561 - pachi segfaults when no audio device is present
pachi segfaults when no audio device is present
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: pachi (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-05 02:07 EST by Joe Bayes
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-11 10:46:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Joe Bayes 2007-01-05 02:07:21 EST
Description of problem:
pachi segfaults when no audio device is present

Version-Release number of selected component (if applicable):
pachi-1.0-1.fc6

How reproducible:
always

Steps to Reproduce:
1. Remove your audio card
2. run pachi
  
Actual results:
spoo:~$ pachi          
ALSA lib confmisc.c:670:(snd_func_card_driver) cannot find card '0'
ALSA lib conf.c:3479:(_snd_config_evaluate) function snd_func_card_driver
returned error: No such device
ALSA lib confmisc.c:391:(snd_func_concat) error evaluating strings
ALSA lib conf.c:3479:(_snd_config_evaluate) function snd_func_concat returned
error: No such device
ALSA lib confmisc.c:1070:(snd_func_refer) error evaluating name
ALSA lib conf.c:3479:(_snd_config_evaluate) function snd_func_refer returned
error: No such device
ALSA lib conf.c:3947:(snd_config_expand) Evaluate error: No such device
ALSA lib pcm.c:2143:(snd_pcm_open_noupdate) Unknown PCM default
ALSA lib confmisc.c:670:(snd_func_card_driver) cannot find card '0'
ALSA lib conf.c:3479:(_snd_config_evaluate) function snd_func_card_driver
returned error: No such device
ALSA lib confmisc.c:391:(snd_func_concat) error evaluating strings
ALSA lib conf.c:3479:(_snd_config_evaluate) function snd_func_concat returned
error: No such device
ALSA lib confmisc.c:1070:(snd_func_refer) error evaluating name
ALSA lib conf.c:3479:(_snd_config_evaluate) function snd_func_refer returned
error: No such device
ALSA lib conf.c:3947:(snd_config_expand) Evaluate error: No such device
ALSA lib pcm.c:2143:(snd_pcm_open_noupdate) Unknown PCM default
Warning: Couldn't set 44100 Hz 16-bit audio
: No available audio device
Segmentation fault
spoo:~$

Expected results:
pachi shouldn't segfault. Ideally it should run without sound. If this is not
possible, it should exit cleanly.

Additional info:
Comment 1 Hans de Goede 2007-01-11 10:46:03 EST
I've just requested builds of pachi-1.0-2, which fixes this,  for devel and FC-
6.

Thanks for reporting this.

Note You need to log in before you can comment on or make changes to this bug.